Package jaxe

# Class Export

java.lang.Object
jaxe.Export

public class Export extends Object
Export XML ou HTML avec demande du nom de fichier en sortie

## Constructor Summary

Constructors
Constructor
Description
`Export(JaxeDocument doc, Element refExport)`

## Method Summary

Modifier and Type
Method
Description
`void`
`defNavigateur()`
`static File`
`fichierHTML(File fichierXML)`
nom du fichier HTML pour un fichier XML donné (utilisé par JaxeMenuBar)
`void`
`lancerNavigateur(File htmlFile)`
`void`
`transformation()`
`void`
`transformation(File fichierFinal)`
Lance la transformation XSLT, sans l'ouverture du fichier final à la fin.
`void`
`transformation(File fichierFinal, boolean ouvertureNavigateur)`
Transformation XSLT

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Export

public Export(JaxeDocument doc, Element refExport)

## Method Details

### transformation

public void transformation()

### transformation

public void transformation(File fichierFinal)
Lance la transformation XSLT, sans l'ouverture du fichier final à la fin.

### transformation

public void transformation(File fichierFinal, boolean ouvertureNavigateur)
Transformation XSLT

Parameters:
  `fichierFinal` - fichier résultat de la transformation, ou de la suite de transformations XSLT.
  `ouvertureNavigateur` - ouvre le navigateur avec le fichier résultat à la fin de la transformation.

### fichierHTML

public static File fichierHTML(File fichierXML)
nom du fichier HTML pour un fichier XML donné (utilisé par JaxeMenuBar)

### lancerNavigateur

public void lancerNavigateur(File htmlFile)

### defNavigateur

public void defNavigateur()